import React, { FC } from 'react';
import { TreeDropdownContextProvider } from './TreeDropdownContext';
import { TreeDropdownProps, TreeDropdown } from './TreeDropdown';

export const MultiSelectTreeDropdown: FC<TreeDropdownProps> = (
  props: TreeDropdownProps
) => {
  return (
    <TreeDropdownContextProvider
      childName={props.childName}
      parentName={props.parentName}
    >
      <TreeDropdown {...props} />
    </TreeDropdownContextProvider>
  );
};
